JsonCpp project page | Classes | Namespace | JsonCpp home page

Namespaces | Macros | Typedefs | Functions
config.h File Reference
`#include <cstddef>`
`#include <cstdint>`
`#include <istream>`
`#include <memory>`
`#include <ostream>`
`#include <sstream>`
`#include <string>`
`#include <type_traits>`
`#include "allocator.h"`
`#include "version.h"`
Include dependency graph for config.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| Json
| JSON (JavaScript Object Notation).

## Macros
#define | JSON_USE_EXCEPTION 1
| If defined, indicates that json library is embedded in CppTL library. More...
#define | JSON_USE_NULLREF 1
#define | JSON_API
| If defined, indicates that the source file is amalgamated to prevent private header inclusion. More...
#define | jsoncpp_snprintf msvc_pre1900_c99_snprintf
#define | JSONCPP_OVERRIDE override
#define | JSONCPP_NOEXCEPT throw()
#define | JSONCPP_OP_EXPLICIT explicit
#define | JSONCPP_DEPRECATED(message) __declspec(deprecated(message))
#define | JSON_HAS_INT64

## Typedefs
typedef int | Json::Int
typedef unsigned int | Json::UInt
typedef __int64 | Json::Int64
typedef unsigned __int64 | Json::UInt64
typedef Int64 | Json::LargestInt
typedef UInt64 | Json::LargestUInt
template<typename T >
using | Json::Allocator = typename std::conditional< 0, SecureAllocator< T >, std::allocator< T > >::type
using | Json::String = std::basic_string< char, std::char_traits< char >, Allocator< char > >
using | Json::IStringStream = std::basic_istringstream< String::value_type, String::traits_type, String::allocator_type >
using | Json::OStringStream = std::basic_ostringstream< String::value_type, String::traits_type, String::allocator_type >
using | Json::IStream = std::istream
using | Json::OStream = std::ostream
using | JSONCPP_STRING = Json::String
using | JSONCPP_ISTRINGSTREAM = Json::IStringStream
using | JSONCPP_OSTRINGSTREAM = Json::OStringStream
using | JSONCPP_ISTREAM = Json::IStream
using | JSONCPP_OSTREAM = Json::OStream

## Functions
int | msvc_pre1900_c99_snprintf (char *outBuf, size_t size, const char *format,...)

## Macro Definition Documentation

## ◆ JSON_API

#define JSON_API

If defined, indicates that the source file is amalgamated to prevent private header inclusion.

Remarks: it is automatically defined in the generated amalgamated header.

Definition at line 66 of file config.h.

## ◆ JSON_HAS_INT64

#define JSON_HAS_INT64

Definition at line 155 of file config.h.

## ◆ JSON_USE_EXCEPTION

#define JSON_USE_EXCEPTION 1

If defined, indicates that json library is embedded in CppTL library.

If defined, indicates that json may leverage CppTL library If defined, indicates that cpptl vector based map should be used instead of std::map as Value container.

Definition at line 30 of file config.h.

## ◆ JSON_USE_NULLREF

#define JSON_USE_NULLREF 1

Definition at line 35 of file config.h.

## ◆ JSONCPP_DEPRECATED

#define JSONCPP_DEPRECATED | ( |  | message | ) | __declspec(deprecated(message))

Definition at line 119 of file config.h.

## ◆ JSONCPP_NOEXCEPT

#define JSONCPP_NOEXCEPT throw()

Definition at line 97 of file config.h.

## ◆ JSONCPP_OP_EXPLICIT

#define JSONCPP_OP_EXPLICIT explicit

Definition at line 98 of file config.h.

## ◆ JSONCPP_OVERRIDE

#define JSONCPP_OVERRIDE override

Definition at line 91 of file config.h.

## ◆ jsoncpp_snprintf

#define jsoncpp_snprintf msvc_pre1900_c99_snprintf

Definition at line 79 of file config.h.

## Typedef Documentation

## ◆ JSONCPP_ISTREAM

using JSONCPP_ISTREAM = Json::IStream

Definition at line 177 of file config.h.

## ◆ JSONCPP_ISTRINGSTREAM

using JSONCPP_ISTRINGSTREAM = Json::IStringStream

Definition at line 175 of file config.h.

## ◆ JSONCPP_OSTREAM

using JSONCPP_OSTREAM = Json::OStream

Definition at line 178 of file config.h.

## ◆ JSONCPP_OSTRINGSTREAM

using JSONCPP_OSTRINGSTREAM = Json::OStringStream

Definition at line 176 of file config.h.

## ◆ JSONCPP_STRING

using JSONCPP_STRING = Json::String

Definition at line 174 of file config.h.

## Function Documentation

## ◆ msvc_pre1900_c99_snprintf()

int msvc_pre1900_c99_snprintf | ( | char * | outBuf,
|  | size_t | size,
|  | const char * | format,
|  |  | ...
| ) |  |

Definition at line 35 of file json_value.cpp.

References msvc_pre1900_c99_vsnprintf().